Loading...
Searching...
No Matches
mqtt::delivery_response_options Class Reference

`#include <response_options.h>`

## Public Member Functions

| delivery_response_options (int mqttVersion=MQTTVERSION_DEFAULT)
| delivery_response_options (const delivery_token_ptr &dtok, int mqttVersion=MQTTVERSION_DEFAULT)
void | set_token (const delivery_token_ptr &dtok)

## Friends

class | async_client

## Detailed Description

The response options for asynchronous calls targeted at delivery. Each of these objects is tied to a specific delivery_token.

## Constructor & Destructor Documentation

## delivery_response_options() [1/2]

mqtt::delivery_response_options::delivery_response_options | ( | int | mqttVersion = MQTTVERSION_DEFAULT | ) |

Create an empty delivery response object.

## delivery_response_options() [2/2]

mqtt::delivery_response_options::delivery_response_options | ( | const delivery_token_ptr & | dtok,
|  | int | mqttVersion = MQTTVERSION_DEFAULT )

Creates a response object tied to the specific delivery token.

Parameters

  dtok | A delivery token to be used as the context.
  mqttVersion | The MQTT version for the response

## Member Function Documentation

## set_token()

void mqtt::delivery_response_options::set_token | ( | const delivery_token_ptr & | dtok | ) |

inline

Expose the underlying C struct for the unit tests. Sets the callback context to a delivery token.

Parameters

  dtok | The delivery token to be used as the callback context.

## Friends And Related Symbol Documentation

## async_client

friend class async_client

friend

The client has special access

The documentation for this class was generated from the following file:

- response_options.h